## eole-kanboard 1.2.5+3-15

=== Makefile ===
################################
# Makefile
################################

SOURCE=kanboard
VERSION=1.2.5
EOLE_VERSION=2.6
EOLE_RELEASE=2.6.1
PKGAPPS=oui

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-kanboard (1.2.5+3-15) envole-6-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [65ce51a] montée de version bdd via postservice (fixes #33445)
  * [9ff0c74] Merge branch 'e6/master' into dist/envole/6/master

  [ EOLE Build Daemon ]
  * [716581d] Arnaud Fornerot: Update package since “debian/envole/4/1.2.5+3-14”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Wed, 22 Dec 2021 16:56:06 +0100

eole-kanboard (1.2.5+3-14) envole-6-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [f9150c4] rapatrier les variables eoledb dans la famille eoledb (ref #33188)
  * [42bcdee] Merge branch 'master' into dist/envole/6/master

  [ EOLE Build Daemon ]
  * [5e5da04] Arnaud Fornerot: Update package since “debian/envole/4/1.2.5+3-13”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Tue, 05 Oct 2021 16:54:26 +0200

eole-kanboard (1.2.5+3-13) envole-6-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [5635562] refonte sonde
  * [b909026] Merge branch 'patch'
  * [9c4a54f] Merge branch 'master' into dist/envole/6/master

  [ EOLE Build Daemon ]
  * [29ab109] Arnaud Fornerot: Update package since “debian/envole/4/1.2.5+3-12”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Fri, 23 Oct 2020 16:16:53 +0200

eole-kanboard (1.2.5+3-12) envole-6-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [10d4be6] 2admin
  * [eb8c8bf] 2admin
  * [5e98fc8] Merge branch 'patch'
  * [1f6d1b8] Merge branch 'master' into dist/envole/6/master

  [ EOLE Build Daemon ]
  * [8bc89f0] Arnaud Fornerot: Update package since “debian/envole/4/1.2.5+3-11”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Tue, 03 Mar 2020 16:33:42 +0100

eole-kanboard (1.2.5+3-11) envole-6-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [c3daf2c] force role app_admin for users in config (ref #29662)
  * [78e5a8a] Merge branch 'patch'
  * [670762e] force role app_admin for users in config (ref #29662)
  * [6ab4093] Merge branch 'master' into dist/envole/6/master

  [ EOLE Build Daemon ]
  * [3788b6d] Arnaud Fornerot: Update package since “debian/envole/4/1.2.5+3-10”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Tue, 03 Mar 2020 15:52:00 +0100

eole-kanboard (1.2.5+3-10) envole-6-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [000c92a] forcer le role manager sauf pour les admin (fixes #29470)
  * [79a3738] Merge branch 'patch'
  * [e48ce23] Merge branch 'master' into dist/envole/6/master

  [ EOLE Build Daemon ]
  * [0ffd7be] Arnaud Fornerot: Update package since “debian/envole/4/1.2.5+3-9”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Tue, 03 Mar 2020 15:04:27 +0100

eole-kanboard (1.2.5+3-9) envole-6-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [46dafd7] resolution connexion ldap
  * [3b33f97] Merge branch 'patch'
  * [fb92c75] Merge branch 'master' into dist/envole/6/master

  [ EOLE Build Daemon ]
  * [747e0f2] Arnaud Fornerot: Update package since “debian/envole/4/1.2.5+3-8”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Mon, 16 Dec 2019 09:41:59 +0100

eole-kanboard (1.2.5+3-8) envole-6-unstable; urgency=low

  [ Deudja Murphy NZALI ]
  * [a711dea] ajout du plugin BigBoard
  * [d179641] Merge branch 'upstream' into patch
  * [838423a] Merge branch 'patch'
  * [fe9769c] Merge branch 'master' into dist/envole/6/master

  [ EOLE Build Daemon ]
  * [8be0c78] Deudja Murphy NZALI: Update package since “debian/envole/4/1.2.5+3-7”

 -- Deudja Murphy NZALI <murphy.nzali@ac-besancon.fr>  Wed, 05 Jun 2019 14:13:19 +0200

eole-kanboard (1.2.5+3-7) envole-6-unstable; urgency=low

  [ Deudja Murphy NZALI ]
  * [8b54be5] autoriser l'ouverture de kanboard dans une iframe (refs #25212)
  * [e2e780a] Merge branch 'master' into dist/envole/6/master

  [ EOLE Build Daemon ]
  * [20c38c0] Deudja Murphy NZALI: Update package since “debian/envole/4/1.2.5+3-6”

 -- Deudja Murphy NZALI <murphy.nzali@ac-besancon.fr>  Thu, 04 Oct 2018 14:11:25 +0200

eole-kanboard (1.2.5+3-6) envole-6-unstable; urgency=low

  [ Deudja Murphy NZALI ]
  * [31f8334] mettre les bons droits sur le dossier data (refs #25086)

  [ EOLE Build Daemon ]
  * [5e6e82b] Deudja Murphy NZALI: Update package since “debian/envole/4/1.2.5+3-5”

 -- Deudja Murphy NZALI <murphy.nzali@ac-besancon.fr>  Fri, 21 Sep 2018 15:36:05 +0200

eole-kanboard (1.2.5+3-5) envole-6-unstable; urgency=low

  [ Deudja Murphy NZALI ]
  * [f3039af] ajout du plugin kanboard_plugin_coverimage (refs #24836)
  * [99f7649] Merge branch 'upstream' into patch
  * [9ea2ee9] Merge branch 'patch'
  * [a97bbb0] Merge branch 'master' into dist/envole/6/master

  [ EOLE Build Daemon ]
  * [b497fd5] Deudja Murphy NZALI: Update package since “debian/envole/4/1.2.5+3-4”

 -- Deudja Murphy NZALI <murphy.nzali@ac-besancon.fr>  Thu, 20 Sep 2018 14:03:18 +0200

eole-kanboard (1.2.5+3-4) envole-6-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [5fc0748] correction plugin cas
  * [97420c0] Merge branch 'patch'
  * [106eb27] configuration du lien annuaire avec les groupes
  * [f14886b] Merge branch 'master' into dist/envole/6/master

  [ EOLE Build Daemon ]
  * [fe663f7] Arnaud Fornerot: Update package since “debian/envole/4/1.2.5+3-3”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Wed, 25 Jul 2018 10:27:51 +0200

eole-kanboard (1.2.5+3-3) envole-6-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [8653fbc] logout phpcas
  * [a8a6000] Merge branch 'patch'
  * [1f4d14f] logout phpcas
  * [9a37c1c] Merge branch 'master' into dist/envole/6/master

  [ EOLE Build Daemon ]
  * [239f6e1] Arnaud Fornerot: Update package since “debian/envole/4/1.2.5+3-2”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Tue, 24 Jul 2018 16:49:10 +0200

eole-kanboard (1.2.5+3-2) envole-6-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [05c6516] erreur de dicos
  * [c75e424] langue par défaut fr
  * [084bdf2] Merge branch 'patch'
  * [b384c38] Merge branch 'master' into dist/envole/6/master

  [ EOLE Build Daemon ]
  * [826d3fa] Arnaud Fornerot: Update package since “debian/envole/4/1.2.5+3-1”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Tue, 24 Jul 2018 16:06:13 +0200



## eole-kanboard 1.2.20+4-3

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=kanboard
-VERSION=1.2.5
-EOLE_VERSION=2.6
-EOLE_RELEASE=2.6.1
+VERSION=1.2.20
+EOLE_VERSION=2.7
+EOLE_RELEASE=2.7.1
 PKGAPPS=oui
 
 ################################

=== debian/changelog ===
eole-kanboard (1.2.20+4-3) envole-7-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [3a1103e] gestion du support tls
  * [75ff9b6] Merge branch 'master' into dist/envole/7/master

  [ EOLE Build Daemon ]
  * [472427e] Arnaud Fornerot: Update package since “debian/envole/1.2.20+4-2”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Fri, 17 Dec 2021 16:58:32 +0100

eole-kanboard (1.2.20+4-2) envole-7-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [990246b] migration bdd via postservice
  * [6008f6a] Merge branch 'master' into dist/envole/7/master

  [ EOLE Build Daemon ]
  * [3a961d8] Arnaud Fornerot: Update package since “debian/envole/1.2.20+4-1”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Fri, 17 Dec 2021 16:38:31 +0100

eole-kanboard (1.2.20+4-1) envole-7-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [427fd8d] Nouvel espace de nommage des tags Debian
  * [a093298] ajout source upstream 1.2.20
  * [8d165c6] Merge branch 'upstream' into patch
  * [d2d6ca3] plugin et patch envole
  * [881c155] Merge branch 'patch'
  * [ba4b2f1] passage à la version 1.2.20
  * [a234133] Merge branch 'master' into dist/envole/7/master

  [ EOLE Build Daemon ]
  * [795c021] Arnaud Fornerot: Update package since “debian/envole/1.2.5+3-14”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Fri, 10 Dec 2021 09:22:03 +0100

## eole-kanboard 1.2.20+5-2

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 SOURCE=kanboard
 VERSION=1.2.20
-EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.1
+EOLE_VERSION=2.8
+EOLE_RELEASE=2.8.0
 PKGAPPS=oui
 
 ################################

=== src/kanboard-1.2.20/plugins/Coverimage/Makefile ===
plugin=Coverimage
version=1.2.14.1

all:
	@ echo "Build archive for plugin ${plugin} version=${version}"
	@ git archive HEAD --prefix=${plugin}/ --format=zip -o ${plugin}-${version}.zip

=== src/kanboard-1.2.5/plugins/Coverimage/Makefile ===
plugin=Coverimage
version=1.0.38.1

all:
	@ echo "Build archive for plugin ${plugin} version=${version}"
	@ git archive HEAD --prefix=${plugin}/ --format=zip -o ${plugin}-${version}.zip

=== debian/changelog ===
eole-kanboard (1.2.20+5-2) envole-8-unstable; urgency=low

  [ afornerot ]
  * [acdb79c] evolution DNMA
  * [d02d9df] Merge branch 'master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [b054a0a] afornerot: Update package since “debian/envole/1.2.20+5-1”

 -- afornerot <afornerot@cadoles.com>  Wed, 06 Aug 2025 13:21:39 +0200

eole-kanboard (1.2.20+5-1) envole-8-unstable; urgency=low

  [ afornerot ]
  * [05f9f06] passage en envole8
  * [efa1c08] Merge branch 'master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [e2d4a3e] afornerot: Update package since “debian/envole/1.2.20+4-3”

 -- afornerot <afornerot@cadoles.com>  Wed, 06 Aug 2025 10:26:16 +0200

=== debian/control ===
Source: eole-kanboard
Section: web
Priority: optional
Maintainer: Equipe Envole <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.8.4 
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/kanboard
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/kanboard/repository

Package: eole-kanboard
Architecture: all
Depends: ${misc:Depends}, eole-web (>= 2.6), eole-client-annuaire, eole-db, eole-sondepiwik
Description: Eolisation de l'application kanboard.

Package: kanboard-apps
Architecture: all
Depends: ${misc:Depends}, eole-web-pkg (>= 2.6), eole-client-annuaire-pkg, sondepiwik-apps
Description: Sources pour kanboard "EOLE".
